PUT /api/v202407/billAccountChargeSplit/vendor/{vendorId}

Edits a specific vendor's setting to split account charges on bill import If a rule does not currently exist for this vendor it is created otherwise it is updated

EditVendorBillAccountChargeSplitSettingsV202407 Permissions: BillWorkflowSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
vendorId Vendor identifier integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

VendorBillAccountChargeSplitSettingsResponse
Property Description Type
costCategories Split account charges with a bill line type assigned the cost categories CostCategoryResponseV202405[]
CostCategoryResponseV202405 properties
Property Description Type
costCategoryId The cost category identifier Required (defined) integer (int32)
costCategoryInfo Name of the cost category Required (defined) string
vendorCode The vendor code that the caption maps to string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info that the caption maps to string
Example Response application/json
{  "costCategories": [
    {    "costCategoryId": 1,    "costCategoryInfo": "string"
  }
  ],  "vendorCode": "string",  "vendorId": 1,  "vendorInfo": "string"
}